inet.h File Reference
`#include "lwip/opt.h"`
`#include "lwip/def.h"`
`#include "lwip/ip_addr.h"`
`#include "lwip/ip6_addr.h"`

## Macros

#define | INADDR_NONE IPADDR_NONE
#define | INADDR_LOOPBACK IPADDR_LOOPBACK
#define | INADDR_ANY IPADDR_ANY
#define | INADDR_BROADCAST IPADDR_BROADCAST
#define | IN6ADDR_ANY_INIT {{{0,0,0,0}}}
#define | IN6ADDR_LOOPBACK_INIT {{{0,0,0,PP_HTONL(1)}}}

## Variables

const struct in6_addr | in6addr_any

## Detailed Description

This file (together with sockets.h) aims to provide structs and functions from

- arpa/inet.h
- netinet/in.h

## Macro Definition Documentation

## IN6ADDR_ANY_INIT

#define IN6ADDR_ANY_INIT {{{0,0,0,0}}}

This macro can be used to initialize a variable of type struct in6_addr to the IPv6 wildcard address.

## IN6ADDR_LOOPBACK_INIT

#define IN6ADDR_LOOPBACK_INIT {{{0,0,0,PP_HTONL(1)}}}

This macro can be used to initialize a variable of type struct in6_addr to the IPv6 loopback address.

## INADDR_ANY

#define INADDR_ANY IPADDR_ANY

0.0.0.0

## INADDR_BROADCAST

#define INADDR_BROADCAST IPADDR_BROADCAST

255.255.255.255

## INADDR_LOOPBACK

#define INADDR_LOOPBACK IPADDR_LOOPBACK

127.0.0.1

## INADDR_NONE

#define INADDR_NONE IPADDR_NONE

255.255.255.255

## Variable Documentation

## in6addr_any

const struct in6_addr in6addr_any

extern

This variable is initialized by the system to contain the wildcard IPv6 address.